--- /dev/null	Fri Nov 22 15:19:25 2013
+++ new/usr/src/test/zfs-tests/tests/functional/cachefile/cachefile.kshlib	Fri Nov 22 15:19:25 2013
@@ -0,0 +1,47 @@
+#!/usr/bin/ksh -p
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+#
+# Copyright (c) 2013 by Delphix. All rights reserved.
+#
+
+#
+# A function to determine if a given pool name has an entry in cachefile
+# returns 1 if the pool is not in the cache, 0 otherwise.
+function pool_in_cache {
+
+	# checking for the pool name in the strings output of
+	# the given cachefile, default is /etc/zfs/zpool.cache
+	typeset cachefile=${2:-$CPATH}
+
+	RESULT=$($STRINGS $cachefile | $GREP -w $1)
+	if [ -z "$RESULT" ]
+	then
+		return 1
+	fi
+	return 0
+}
